﻿namespace MetaTrader.Windows {

	using System;
	using System.Diagnostics;
	using System.Windows.Forms;

	public class MainWindow: IWin32Window {

		private static MainWindow mWindow = null;

		public static MainWindow Current {
			get {
				if ( mWindow == null )
					mWindow = new MainWindow( Process.GetCurrentProcess().MainWindowHandle );
				return mWindow;
			}
		}

		private IntPtr mHandle;

		private MainWindow( IntPtr iHandle ) {
			mHandle = iHandle;
		}

		public IntPtr Handle {
			get {
				return mHandle;
			}
		}

	}

}