using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MetaTrader.Windows {
	public partial class WindowSymbols: Form {
		public WindowSymbols() {
			InitializeComponent();
		}

		private void WindowClasters_Load( object sender, EventArgs e ) {
			foreach( Claster item in Global.Claster.Array ) {
				string up = item.Up != null ? item.Up.ToString() : "";
				string down = item.Down != null ? item.Down.ToString() : "";
				if ( item.Ticks.Count > 0 ) {
					Tick _Now = item.Ticks.Final;
					SymbolList.Items.Add( new ListViewItem( new string[] { item.Symbol, up, down, item.Session.Count.ToString(), item.Ticks.Count.ToString( "###.###" ), _Now.Bid.ToString(), _Now.Ask.ToString(), _Now.Utc.ToString(), _Now.Srv.ToString() }, 0 ) );
				} else {
					SymbolList.Items.Add( new ListViewItem( new string[] { item.Symbol, up, down, item.Session.Count.ToString(), item.Ticks.Count.ToString( "###.###" ) }, 0 ) );
				}
			}
		}

		private void timer1_Tick( object sender, EventArgs e ) {
			SymbolList.Items.Clear();
			foreach ( Claster item in Global.Claster.Array ) {
				string up = item.Up != null ? item.Up.ToString(): "";
				string down = item.Down != null ? item.Down.ToString(): "";
				if ( item.Ticks.Count > 0 ) {
					Tick _Now = item.Ticks.Final;

					SymbolList.Items.Add( new ListViewItem( new string[] { item.Symbol, up, down, item.Session.Count.ToString(), item.Ticks.Count.ToString( "###.###" ), _Now.Bid.ToString(), _Now.Ask.ToString(), _Now.Utc.ToString(), _Now.Srv.ToString() }, 0 ) );
				} else {
					SymbolList.Items.Add( new ListViewItem( new string[] { item.Symbol, up, down, item.Session.Count.ToString(), item.Ticks.Count.ToString( "###.###" ) }, 0 ) );
				}
			}
		}
	}
}